HttpRecoverableException (HttpClient 3.1 API)
Keywords: org.apache.commons.httpclient.HttpRecoverableException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.httpclient
Class HttpRecoverableException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.apache.commons.httpclient.HttpException
                      org.apache.commons.httpclient.HttpRecoverableException

All Implemented Interfaces:
  Serializable

Deprecated. no longer used

    public class HttpRecoverableException

extends HttpException

Signals that an HTTP or HttpClient exception has occurred. This exception may have been caused by a transient error and the request may be retried. It may be possible to retrieve the underlying transient error via the inherited `HttpException.getCause()` method.

Version:
  $Revision: 480424 $ $Date: 2006-11-29 06:56:49 +0100 (Wed, 29 Nov 2006) $
Author:
  Unascribed
See Also:
  Serialized Form

Constructor Summary
`HttpRecoverableException()` Deprecated. Creates a new HttpRecoverableException with a `null` detail message.
`HttpRecoverableException(String message)` Deprecated. Creates a new HttpRecoverableException with the specified detail message.

Method Summary

Methods inherited from class org.apache.commons.httpclient.HttpException
`getCause, getReason, getReasonCode, printStackTrace, printStackTrace, printStackTrace, setReason, setReasonCode`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HttpRecoverableException

    public HttpRecoverableException()

  Deprecated.
  Creates a new HttpRecoverableException with a `null` detail message.

### HttpRecoverableException

    public HttpRecoverableException(String message)

  Deprecated.
  Creates a new HttpRecoverableException with the specified detail message.

  Parameters:
    `message` - exception message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 Apache Software Foundation. All Rights Reserved.